9 Replies Latest reply on Dec 13, 2017 1:28 PM by LucD

    install/update PowerCLI 6.5.4 from 6.5.1

    aatef6 Novice

      Hello Experts,

       

      I currently have PowerCLI 6.5.1 installed on my PC and i would like to update it to 6.5.4 which has been released recently. I noticed it is only available via PS Gallery however i'm not able to run any of the save-module or find-module or install-module cmdlets given that i'm the Admin of my own PC. Any straight forward procedure to get the update? do i need to completely uninstall the 6.5.1 version to be able to install the 6.5.4 or even 6.5.3? Thanks

       

      PowerCLI C:\> Save-Module -Name VMware.PowerCLI -Path C:/

      Save-Module : The term 'Save-Module' is not recognized as the name of a

      cmdlet, function, script file, or operable program. Check the spelling of the

      name, or if a path was included, verify that the path is correct and try again.

      At line:1 char:1

      + Save-Module -Name VMware.PowerCLI -Path C:/

      + ~~~~~~~~~~~

          + CategoryInfo          : ObjectNotFound: (Save-Module:String) [], Command

         NotFoundException

          + FullyQualifiedErrorId : CommandNotFoundException

       

      Here is my current PowerCLI version:

       

      PowerCLI C:\> get-powercliversion

       

       

      PowerCLI Version

      ----------------

         VMware PowerCLI 6.5 Release 1 build 4624819

      ---------------

      Component Versions

      ---------------

         VMware Cis Core PowerCLI Component 6.5 build 4624453

         VMware VimAutomation Core PowerCLI Component 6.5 build 4624450

         VMWare ImageBuilder PowerCLI Component 6.5 build 4561891

         VMWare AutoDeploy PowerCLI Component 6.5 build 4561891

         VMware Vds PowerCLI Component 6.5 build 4624695

         VMware Cloud PowerCLI Component 6.5 build 4624821

         VMware HA PowerCLI Component 6.0 build 4525225

         VMware HorizonView PowerCLI Component 7.0.2 build 4596620

         VMware Licensing PowerCLI Component 6.5 build 4624822

         VMware PCloud PowerCLI Component 6.5 build 4624825

         VMware Storage PowerCLI Component 6.5 build 4624820

         VMware vROps PowerCLI Component 6.5 build 4624824

         VMware vSphere Update Manager PowerCLI 6.5 build 4540462

        • 1. Re: install/update PowerCLI 6.5.4 from 6.5.1
          LucD Guru
          User ModeratorsCommunity WarriorsvExpert

          Which PowerShell version are you running (check what is $PSVersionTable)?

          • 2. Re: install/update PowerCLI 6.5.4 from 6.5.1
            aatef6 Novice

            Hello Luc,

             

            Thanks for your reply. I have already checked that and i think i should have PS version 2.0 and later. I currently have version 4.0, please check below

             

            PowerCLI C:\> $PSVersionTable

             

             

            Name                           Value

            ----                           -----

            PSVersion                      4.0

            WSManStackVersion              3.0

            SerializationVersion           1.1.0.1

            CLRVersion                     4.0.30319.36399

            BuildVersion                   6.3.9600.18773

            PSCompatibleVersions           {1.0, 2.0, 3.0, 4.0}

            PSRemotingProtocolVersion      2.2

             

             

             

             

            PowerCLI C:\> $PSVersionTable.PSVersion

             

             

            Major  Minor  Build  Revision

            -----  -----  -----  --------

            4      0      -1     -1

             

             

             

             

            PowerCLI C:\>

            • 3. Re: install/update PowerCLI 6.5.4 from 6.5.1
              LucD Guru
              User ModeratorsCommunity WarriorsvExpert

              That explains, the Save-MOdule cmdlet was introduced in PowerShell 5.0.

               

              Do you have any station with Internet connectivity?

              You can install the PowerCLI modules on that one, and then just copy the folders.

              • 4. Re: install/update PowerCLI 6.5.4 from 6.5.1
                LucD Guru
                vExpertCommunity WarriorsUser Moderators

                See the section PowerCLI 6.5.2 Offline Installation in Updating PowerCLI through the PowerShell Gallery

                • 5. Re: install/update PowerCLI 6.5.4 from 6.5.1
                  aatef6 Novice

                  Hello Luc,

                   

                  I have updated my windows for PowerShell to have the latest version 5. the update command is now working and i see it updating my PowerCLI. however, my PowerCLI remianed on 6.5.1 and not 6.5.4! do i need to uninstall the powerCLI completely from my PC before updating for it to work or i can run the update on top of 6.5.1? Thanks a lot

                  • 6. Re: install/update PowerCLI 6.5.4 from 6.5.1
                    LucD Guru
                    vExpertUser ModeratorsCommunity Warriors

                    That is another that changed since PowerCLI 6.5.1, with each update not all modules are updated.

                    So you will have some still saying 6.5.1, but others should say 6.5.4

                    Check with

                     

                    Get-Module -Name VMware* -ListAvailable |

                    Select Name,Version

                     

                    • 7. Re: install/update PowerCLI 6.5.4 from 6.5.1
                      aatef6 Novice

                      That's what i checked as per the update instructions .. the powerCLI module is showing 6.5.4 while others are showing 6.5.1 as you mentioned ... i was just curious why the top of my PowerCLI window says 6.5.1 still ... wanted to clarify if this is what that's correct that my powerCLi can be on 6.5.4 while the windows actually says older version (6.5.1)? is get-powercliversion output still valid since it shows 6.5.1 as well

                       

                       

                      PS C:\> Get-Module -Name VMware* -ListAvailable |

                      >> Select Name,Version

                      >>

                       

                       

                      Name                                Version

                      ----                                -------

                      VMware.DeployAutomation             6.5.1.6997673

                      VMware.ImageBuilder                 6.5.1.6997673

                      VMware.PowerCLI                     6.5.4.7155375

                      VMware.VimAutomation.Cis.Core       6.5.4.6983166

                      VMware.VimAutomation.Cloud          6.5.1.5375799

                      VMware.VimAutomation.Common         6.5.4.6979861

                      VMware.VimAutomation.Core           6.5.2.6234650

                      VMware.VimAutomation.HA             6.5.4.7147627

                      VMware.VimAutomation.HorizonView    7.1.0.5307191

                      VMware.VimAutomation.License        6.5.1.5375648

                      VMware.VimAutomation.Nsxt           2.0.0.6870461

                      VMware.VimAutomation.PCloud         6.5.1.5376282

                      VMware.VimAutomation.Sdk            1.0.0.5334677

                      VMware.VimAutomation.Srm            6.5.1.5374694

                      VMware.VimAutomation.Storage        6.5.4.7154886

                      VMware.VimAutomation.StorageUtility 1.1

                      VMware.VimAutomation.Vds            6.5.1.5374428

                      VMware.VimAutomation.Vmc            6.5.4.7086404

                      VMware.VimAutomation.vROps          6.5.1.5375723

                      VMware.VumAutomation                6.5.1.5301639

                      VMware.DeployAutomation             6.5.1.6997673

                      VMware.DeployAutomation             6.0.0.0

                      VMware.ImageBuilder                 6.5.1.6997673

                      VMware.ImageBuilder                 6.0.0.0

                      VMware.PowerCLI                     6.5.4.7155375

                      VMware.VimAutomation.Cis.Core       6.5.4.6983166

                      VMware.VimAutomation.Cis.Core       6.5.0.4624453

                      VMware.VimAutomation.Cloud          6.5.1.5375799

                      VMware.VimAutomation.Cloud          6.5.0.4624821

                      VMware.VimAutomation.Common         6.5.4.6979861

                      VMware.VimAutomation.Common         6.5.0.4624451

                      VMware.VimAutomation.Core           6.5.2.6234650

                      VMware.VimAutomation.Core           6.5.0.2604913

                      VMware.VimAutomation.HA             6.5.4.7147627

                      VMware.VimAutomation.HA             6.0.0.0

                      VMware.VimAutomation.HorizonView    7.1.0.5307191

                      VMware.VimAutomation.HorizonView    7.0.2.4596620

                      VMware.VimAutomation.License        6.5.1.5375648

                      VMware.VimAutomation.License        6.5.0.4624822

                      VMware.VimAutomation.Nsxt           2.0.0.6870461

                      VMware.VimAutomation.PCloud         6.5.1.5376282

                      VMware.VimAutomation.PCloud         6.5.0.4624825

                      VMware.VimAutomation.Sdk            1.0.0.5334677

                      VMware.VimAutomation.Sdk            6.5.0.4624452

                      VMware.VimAutomation.Srm            6.5.1.5374694

                      VMware.VimAutomation.Storage        6.5.4.7154886

                      VMware.VimAutomation.Storage        6.5.0.4624820

                      VMware.VimAutomation.StorageUtility 1.1

                      VMware.VimAutomation.Vds            6.5.1.5374428

                      VMware.VimAutomation.Vds            6.5.0.4624695

                      VMware.VimAutomation.Vmc            6.5.4.7086404

                      VMware.VimAutomation.vROps          6.5.1.5375723

                      VMware.VimAutomation.vROps          6.5.0.4624824

                      VMware.VumAutomation                6.5.1.5301639

                      VMware.VumAutomation                6.0.0.0

                       

                       

                       

                       

                      PS C:\>

                      PS C:\>

                      PS C:\>

                      PS C:\> get-powercliversion

                      WARNING: The cmdlet "Get-PowerCLIVersion" is deprecated. Please use the

                      'Get-Module' cmdlet instead.

                       

                       

                      PowerCLI Version

                      ----------------

                         VMware PowerCLI 6.5.1 build 5377412

                      ---------------

                      Component Versions

                      ---------------

                         VMware Cis Core PowerCLI Component 6.5 build 6983166

                         VMware VimAutomation Core PowerCLI Component 6.5 build 6234650

                         VMWare ImageBuilder PowerCLI Component 6.6 build 6997673

                         VMWare AutoDeploy PowerCLI Component 6.6 build 6997673

                         VMware Vds PowerCLI Component 6.5 build 5374428

                         VMware Cloud PowerCLI Component 6.5 build 5375799

                         VMware HA PowerCLI Component 6.0 build 7147627

                         VMware HorizonView PowerCLI Component 7.1.0 build 5307191

                         VMware Licensing PowerCLI Component 6.5 build 5375648

                         VMware PCloud PowerCLI Component 6.5 build 5376282

                         VMware Storage PowerCLI Component 6.5 build 7154886

                         VMware vROps PowerCLI Component 6.5 build 5375723

                         VMware vSphere Update Manager PowerCLI 6.6 build 5301639

                      • 8. Re: install/update PowerCLI 6.5.4 from 6.5.1
                        LucD Guru
                        Community WarriorsvExpertUser Moderators

                        Yes, I noticed that as well, might be a small hick-up in the new packaging method.

                        I also half expected Get-PowerCLIVersion to give me the latest version, 6,.5.4 in other words.

                         

                        I'll ask around.

                        • 9. Re: install/update PowerCLI 6.5.4 from 6.5.1
                          LucD Guru
                          User ModeratorsCommunity WarriorsvExpert

                          And the answer is in What PowerCLI Version Am I On Anyways?

                          I must admit I forgot about that as well